Creative Jobs
ジョブをキャンセル
生成開始前だけキャンセルできます。開始済みは 409 job_generation_already_started を返します。
POST
/v1/creative/jobs/{id}/cancel
curl --request POST 'https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/cancel' \ --header "Authorization: Bearer $ORCHESTOR_API_KEY"{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "status": "CANCELED", "canceled": true, "idempotency_hit": false, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "cancellation": { "supported": true, "requested": true, "message": "生成開始前に取り消しました。" }, "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "image_generation", "status": "canceled", "model": "gpt-image-2", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": "2026-11-06T00:00:00Z", "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "model": "gpt-image-2", "prompt": "白い背景の上に置いた青い陶器の花瓶", "aspect_ratio": "1:1", "mode": "async" } } }}Authorizations
Authentication details
bearer
Path Parameters
Response
application/json
取消結果と更新済みのジョブ。canceled が true なら生成開始前の取消が完了しています。
Headers
{ "data": { "request_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "job_id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "status": "CANCELED", "canceled": true, "idempotency_hit": false, "status_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/status", "result_url": "https://api.orchestor.io/v1/creative/jobs/job_7513b52d-3669-4ffe-b317-8b02000715eb/result", "cancellation": { "supported": true, "requested": true, "message": "生成開始前に取り消しました。" }, "job": { "id": "job_7513b52d-3669-4ffe-b317-8b02000715eb", "type": "image_generation", "status": "canceled", "model": "gpt-image-2", "idempotency_key": "9816bc88-9791-43a1-86c2-876dc7c544e8", "communication_mode": "async", "created_at": "2026-11-06T00:00:00Z", "updated_at": "2026-11-06T00:00:00Z", "started_at": null, "completed_at": null, "canceled_at": "2026-11-06T00:00:00Z", "result": null, "error": null, "usage_summary": null, "webhook_delivery": null, "input": { "model": "gpt-image-2", "prompt": "白い背景の上に置いた青い陶器の花瓶", "aspect_ratio": "1:1", "mode": "async" } } }}